const mongoose = require('mongoose')

const libs = `${process.cwd()}/libs`;
const log = require(`${libs}/log`)(module);
const User = require(`${libs}/models/user`);

const Schema = mongoose.Schema;

let SimulationSchema = new Schema({
    userId: {
        type: Schema.Types.ObjectId,
        required: true,
        ref: 'User'
    },
    content: {
        type: String,
        required: true,
    }
});

module.exports = mongoose.model('Simulation', SimulationSchema);
